Index: squid/include/hash.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/hash.h,v
retrieving revision 1.1.1.1.42.1
retrieving revision 1.1.1.1.42.1.2.1
diff -u -r1.1.1.1.42.1 -r1.1.1.1.42.1.2.1
--- squid/include/hash.h	6 Jan 2001 12:40:10 -0000	1.1.1.1.42.1
+++ squid/include/hash.h	27 Aug 2001 21:48:17 -0000	1.1.1.1.42.1.2.1
@@ -1,5 +1,5 @@
 /*
- * $Id: hash.h,v 1.1.1.1.42.1 2001/01/06 12:40:10 hno Exp $
+ * $Id: hash.h,v 1.1.1.1.42.1.2.1 2001/08/27 21:48:17 tolsty Exp $
  */
 
 typedef void HASHFREE(void *);
@@ -8,12 +8,14 @@
 typedef struct _hash_link hash_link;
 typedef struct _hash_table hash_table;
 
-struct _hash_link {
+struct _hash_link
+{
     char *key;
     hash_link *next;
 };
 
-struct _hash_table {
+struct _hash_table
+{
     hash_link **buckets;
     HASHCMP *cmp;
     HASHHASH *hash;
@@ -54,4 +56,4 @@
  *  HASH_SIZE 33493             // prime number < 32768
  *  HASH_SIZE 65357             // prime number < 65536
  */
-#define  DEFAULT_HASH_SIZE 7951 /* prime number < 8192 */
+#define  DEFAULT_HASH_SIZE 7951	/* prime number < 8192 */
Index: squid/include/heap.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/heap.h,v
retrieving revision 1.1.1.1.2.1
retrieving revision 1.1.1.1.2.1.2.1
diff -u -r1.1.1.1.2.1 -r1.1.1.1.2.1.2.1
--- squid/include/heap.h	6 Jan 2001 12:40:10 -0000	1.1.1.1.2.1
+++ squid/include/heap.h	27 Aug 2001 21:48:17 -0000	1.1.1.1.2.1.2.1
@@ -1,5 +1,5 @@
 /*
- * $Id: heap.h,v 1.1.1.1.2.1 2001/01/06 12:40:10 hno Exp $
+ * $Id: heap.h,v 1.1.1.1.2.1.2.1 2001/08/27 21:48:17 tolsty Exp $
  *
  * AUTHOR: John Dilley, Hewlett Packard
  *
@@ -57,11 +57,13 @@
  * it can be quickly found in its heap, and a pointer to a data object that
  * key_func can generate a key from.
  */
-typedef struct _heap_node {
+typedef struct _heap_node
+{
     heap_key key;
     unsigned long id;
     heap_t data;
-} heap_node;
+}
+heap_node;
 
 
 /*
@@ -69,14 +71,16 @@
  * (array length), the index of the last heap element, and a key generation
  * function.  Also stores aging factor for this heap.
  */
-typedef struct _heap {
+typedef struct _heap
+{
     heap_mutex_t lock;
     unsigned long size;
     unsigned long last;
     heap_key_func *gen_key;	/* key generator for heap */
     heap_key age;		/* aging factor for heap */
     heap_node **nodes;
-} heap;
+}
+heap;
 
 /****************************************************************************
  * Public functions
Index: squid/include/md5.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/md5.h,v
retrieving revision 1.1.1.1.44.1
retrieving revision 1.1.1.1.44.1.2.1
diff -u -r1.1.1.1.44.1 -r1.1.1.1.44.1.2.1
--- squid/include/md5.h	6 Jan 2001 12:40:10 -0000	1.1.1.1.44.1
+++ squid/include/md5.h	27 Aug 2001 21:48:17 -0000	1.1.1.1.44.1.2.1
@@ -1,5 +1,5 @@
 /*
- * $Id: md5.h,v 1.1.1.1.44.1 2001/01/06 12:40:10 hno Exp $
+ * $Id: md5.h,v 1.1.1.1.44.1.2.1 2001/08/27 21:48:17 tolsty Exp $
  */
 
 #ifndef MD5_H
@@ -30,11 +30,13 @@
  */
 
 /* MD5 context. */
-typedef struct {
+typedef struct
+{
     u_num32 state[4];		/* state (ABCD) */
     u_num32 count[2];		/* number of bits, modulo 2^64 (lsb first) */
     unsigned char buffer[64];	/* input buffer */
-} MD5_CTX;
+}
+MD5_CTX;
 
 void MD5Init(MD5_CTX *);
 void MD5Update(MD5_CTX *, unsigned char *, unsigned int);
Index: squid/include/parse.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/parse.h,v
retrieving revision 1.1.1.1.44.1
retrieving revision 1.1.1.1.44.1.2.1
diff -u -r1.1.1.1.44.1 -r1.1.1.1.44.1.2.1
--- squid/include/parse.h	6 Jan 2001 12:40:10 -0000	1.1.1.1.44.1
+++ squid/include/parse.h	27 Aug 2001 21:48:17 -0000	1.1.1.1.44.1.2.1
@@ -1,5 +1,5 @@
 /*
- * $Id: parse.h,v 1.1.1.1.44.1 2001/01/06 12:40:10 hno Exp $
+ * $Id: parse.h,v 1.1.1.1.44.1.2.1 2001/08/27 21:48:17 tolsty Exp $
  */
 
 #ifndef _HAVE_PARSE_H_
@@ -33,7 +33,8 @@
 /*
  * A linked list of tag-value pairs for enumerated integers.
  */
-struct enum_list {
+struct enum_list
+{
     struct enum_list *next;
     int value;
     char *label;
@@ -42,7 +43,8 @@
 /*
  * A tree in the format of the tree structure of the MIB.
  */
-struct snmp_mib_tree {
+struct snmp_mib_tree
+{
     struct snmp_mib_tree *child_list;	/* list of children of this node */
     struct snmp_mib_tree *next_peer;	/* Next node in list of peers */
     struct snmp_mib_tree *parent;
@@ -67,7 +69,8 @@
 #define TYPE_NULL	    10
 
 #ifdef __cplusplus
-extern "C" {
+extern "C"
+{
 #endif
 
     void init_mib(char *);
Index: squid/include/radix.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/radix.h,v
retrieving revision 1.1.1.1.42.2
retrieving revision 1.1.1.1.42.2.2.1
diff -u -r1.1.1.1.42.2 -r1.1.1.1.42.2.2.1
--- squid/include/radix.h	25 Mar 2001 17:49:42 -0000	1.1.1.1.42.2
+++ squid/include/radix.h	27 Aug 2001 21:48:17 -0000	1.1.1.1.42.2.2.1
@@ -1,5 +1,5 @@
 /*
- * $Id: radix.h,v 1.1.1.1.42.2 2001/03/25 17:49:42 serassio Exp $
+ * $Id: radix.h,v 1.1.1.1.42.2.2.1 2001/08/27 21:48:17 tolsty Exp $
  */
 
 /*
@@ -47,27 +47,34 @@
  * Radix search tree node layout.
  */
 
-struct radix_node {
+struct radix_node
+{
     struct radix_mask *rn_mklist;	/* list of masks contained in subtree */
     struct radix_node *rn_p;	/* parent */
     short rn_b;			/* bit offset; -1-index(netmask) */
     char rn_bmask;		/* node: mask for bit test */
-    unsigned char rn_flags;		/* enumerated next */
+    unsigned char rn_flags;	/* enumerated next */
 #define RNF_NORMAL	1	/* leaf contains normal route */
 #define RNF_ROOT	2	/* leaf is root leaf for tree */
 #define RNF_ACTIVE	4	/* This node is alive (for rtfree) */
-    union {
-	struct {		/* leaf only data: */
-	    char * rn_Key;	/* object of search */
-	    char * rn_Mask;	/* netmask, if present */
+    union
+    {
+	struct
+	{			/* leaf only data: */
+	    char *rn_Key;	/* object of search */
+	    char *rn_Mask;	/* netmask, if present */
 	    struct radix_node *rn_Dupedkey;
-	} rn_leaf;
-	struct {		/* node only data: */
+	}
+	rn_leaf;
+	struct
+	{			/* node only data: */
 	    int rn_Off;		/* where to start compare */
 	    struct radix_node *rn_L;	/* progeny */
 	    struct radix_node *rn_R;	/* progeny */
-	} rn_node;
-    } rn_u;
+	}
+	rn_node;
+    }
+    rn_u;
 #ifdef RN_DEBUG
     int rn_info;
     struct radix_node *rn_twin;
@@ -86,17 +93,21 @@
  * Annotations to tree concerning potential routes applying to subtrees.
  */
 
-extern struct radix_mask {
+extern struct radix_mask
+{
     short rm_b;			/* bit offset; -1-index(netmask) */
     char rm_unused;		/* cf. rn_bmask */
-    unsigned char rm_flags;		/* cf. rn_flags */
+    unsigned char rm_flags;	/* cf. rn_flags */
     struct radix_mask *rm_mklist;	/* more masks to try */
-    union {
-	char * rmu_mask;	/* the mask */
+    union
+    {
+	char *rmu_mask;		/* the mask */
 	struct radix_node *rmu_leaf;	/* for normal routes */
-    } rm_rmu;
+    }
+    rm_rmu;
     int rm_refs;		/* # of references to this struct */
-}         *rn_mkfreelist;
+}
+          *rn_mkfreelist;
 
 #define rm_mask rm_rmu.rmu_mask
 #define rm_leaf rm_rmu.rmu_leaf	/* extra field would make 32 bytes */
@@ -110,7 +121,8 @@
 
 #define MKFree(m) { (m)->rm_mklist = rn_mkfreelist; rn_mkfreelist = (m);}
 
-struct radix_node_head {
+struct radix_node_head
+{
     struct radix_node *rnh_treetop;
     int rnh_addrsize;		/* permit, but not require fixed keys */
     int rnh_pktsize;		/* permit, but not require fixed keys */
@@ -124,7 +136,7 @@
                __P((void *v, void *mask, struct radix_node_head * head));
     struct radix_node *(*rnh_delpkt)	/* remove based on packet hdr */
                __P((void *v, void *mask, struct radix_node_head * head));
-    struct radix_node *(*rnh_matchaddr)		/* locate based on sockaddr */
+    struct radix_node *(*rnh_matchaddr)	/* locate based on sockaddr */
                __P((void *v, struct radix_node_head * head));
     struct radix_node *(*rnh_lookup)	/* locate based on sockaddr */
                __P((void *v, void *mask, struct radix_node_head * head));
@@ -147,12 +159,14 @@
 int rn_refines __P((void *, void *));
 int rn_walktree __P((struct radix_node_head *, int (*)(), void *));
 struct radix_node
-          *rn_addmask __P((void *, int, int)), *rn_addroute __P((void *, void *, struct radix_node_head *,
-	struct radix_node[2])), *rn_delete __P((void *, void *, struct radix_node_head *)),
-          *rn_insert __P((void *, struct radix_node_head *, int *,
-	struct radix_node[2])), *rn_match __P((void *, struct radix_node_head *)),
-          *rn_newpair __P((void *, int, struct radix_node[2])), *rn_search __P((void *, struct radix_node *)),
-          *rn_search_m __P((void *, struct radix_node *, void *));
+    *rn_addmask __P((void *, int, int)), *rn_addroute __P((void *, void *,
+	struct radix_node_head *, struct radix_node[2])),
+    *rn_delete __P((void *, void *, struct radix_node_head *)),
+    *rn_insert __P((void *, struct radix_node_head *, int *,
+	struct radix_node[2])), *rn_match __P((void *,
+	struct radix_node_head *)), *rn_newpair __P((void *, int,
+	struct radix_node[2])), *rn_search __P((void *, struct radix_node *)),
+    *rn_search_m __P((void *, struct radix_node *, void *));
 
 #ifndef min
 #define min(x,y) ((x)<(y)? (x) : (y))
Index: squid/include/rfc1035.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/rfc1035.h,v
retrieving revision 1.1.1.1.4.1.2.1
retrieving revision 1.1.1.1.4.1.2.1.2.1
diff -u -r1.1.1.1.4.1.2.1 -r1.1.1.1.4.1.2.1.2.1
--- squid/include/rfc1035.h	6 Jan 2001 12:40:10 -0000	1.1.1.1.4.1.2.1
+++ squid/include/rfc1035.h	27 Aug 2001 21:48:17 -0000	1.1.1.1.4.1.2.1.2.1
@@ -1,5 +1,5 @@
 /*
- * $Id: rfc1035.h,v 1.1.1.1.4.1.2.1 2001/01/06 12:40:10 hno Exp $
+ * $Id: rfc1035.h,v 1.1.1.1.4.1.2.1.2.1 2001/08/27 21:48:17 tolsty Exp $
  *
  * AUTHOR: Harvest Derived
  *
@@ -44,7 +44,8 @@
 /* rfc1035 - DNS */
 #define RFC1035_MAXHOSTNAMESZ 128
 typedef struct _rfc1035_rr rfc1035_rr;
-struct _rfc1035_rr {
+struct _rfc1035_rr
+{
     char name[RFC1035_MAXHOSTNAMESZ];
     unsigned short type;
     unsigned short class;
@@ -53,16 +54,12 @@
     char *rdata;
 };
 extern unsigned short rfc1035BuildAQuery(const char *hostname,
-    char *buf,
-    size_t * szp);
+    char *buf, size_t * szp);
 extern unsigned short rfc1035BuildPTRQuery(const struct in_addr,
-    char *buf,
-    size_t * szp);
+    char *buf, size_t * szp);
 extern unsigned short rfc1035RetryQuery(char *);
 extern int rfc1035AnswersUnpack(const char *buf,
-    size_t sz,
-    rfc1035_rr ** records,
-    unsigned short *id);
+    size_t sz, rfc1035_rr ** records, unsigned short *id);
 extern void rfc1035RRDestroy(rfc1035_rr * rr, int n);
 extern int rfc1035_errno;
 extern const char *rfc1035_error_message;
Index: squid/include/snmp.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/snmp.h,v
retrieving revision 1.1.1.1.44.1
retrieving revision 1.1.1.1.44.1.2.1
diff -u -r1.1.1.1.44.1 -r1.1.1.1.44.1.2.1
--- squid/include/snmp.h	6 Jan 2001 12:40:10 -0000	1.1.1.1.44.1
+++ squid/include/snmp.h	27 Aug 2001 21:48:17 -0000	1.1.1.1.44.1.2.1
@@ -1,6 +1,5 @@
 #ifndef _SNMP_H_
 #define _SNMP_H_
-
 /*
  * Definitions for the Simple Network Management Protocol (RFC 1067).
  *
@@ -27,7 +26,7 @@
  * ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
  * SOFTWARE.
  * 
- * $Id: snmp.h,v 1.1.1.1.44.1 2001/01/06 12:40:10 hno Exp $
+ * $Id: snmp.h,v 1.1.1.1.44.1.2.1 2001/08/27 21:48:17 tolsty Exp $
  * 
  **********************************************************************/
 
Index: squid/include/snmp_api.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/snmp_api.h,v
retrieving revision 1.1.1.1.44.1
retrieving revision 1.1.1.1.44.1.2.1
diff -u -r1.1.1.1.44.1 -r1.1.1.1.44.1.2.1
--- squid/include/snmp_api.h	6 Jan 2001 12:40:10 -0000	1.1.1.1.44.1
+++ squid/include/snmp_api.h	27 Aug 2001 21:48:17 -0000	1.1.1.1.44.1.2.1
@@ -1,5 +1,5 @@
 /*
- * $Id: snmp_api.h,v 1.1.1.1.44.1 2001/01/06 12:40:10 hno Exp $
+ * $Id: snmp_api.h,v 1.1.1.1.44.1.2.1 2001/08/27 21:48:17 tolsty Exp $
  */
 
 #ifndef _SNMP_API_H_
@@ -52,21 +52,20 @@
 #define SNMP_DEFAULT_MACREPEATERS   0
 
 #ifdef __cplusplus
-extern "C" {
+extern "C"
+{
 #endif
 
     /* Parse the buffer pointed to by arg3, of length arg4, into pdu arg2.
      *
      * Returns the community of the incoming PDU, or NULL
      */
-    u_char *snmp_parse(struct snmp_session *, struct snmp_pdu *,
-	u_char *, int);
+    u_char *snmp_parse(struct snmp_session *, struct snmp_pdu *, u_char *, int);
 
 /* Encode pdu arg2 into buffer arg3.  arg4 contains the size of
  * the buffer.
  */
-    int snmp_build(struct snmp_session *, struct snmp_pdu *,
-	u_char *, int *);
+    int snmp_build(struct snmp_session *, struct snmp_pdu *, u_char *, int *);
 
 /*
  * struct snmp_session *snmp_open(session)
Index: squid/include/snmp_api_error.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/snmp_api_error.h,v
retrieving revision 1.1.1.1.44.1
retrieving revision 1.1.1.1.44.1.2.1
diff -u -r1.1.1.1.44.1 -r1.1.1.1.44.1.2.1
--- squid/include/snmp_api_error.h	6 Jan 2001 12:40:10 -0000	1.1.1.1.44.1
+++ squid/include/snmp_api_error.h	27 Aug 2001 21:48:17 -0000	1.1.1.1.44.1.2.1
@@ -26,7 +26,7 @@
  * 
  * Author: Ryan Troll <ryan+@andrew.cmu.edu>
  * 
- * $Id: snmp_api_error.h,v 1.1.1.1.44.1 2001/01/06 12:40:10 hno Exp $
+ * $Id: snmp_api_error.h,v 1.1.1.1.44.1.2.1 2001/08/27 21:48:17 tolsty Exp $
  * 
  ***************************************************************************/
 
@@ -52,7 +52,8 @@
 #define SNMPERR_LAST            -16	/* Last error message */
 
 #ifdef __cplusplus
-extern "C" {
+extern "C"
+{
 #endif
 
 /* extern int snmp_errno */
Index: squid/include/snmp_api_util.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/snmp_api_util.h,v
retrieving revision 1.1.1.1.44.1
retrieving revision 1.1.1.1.44.1.2.1
diff -u -r1.1.1.1.44.1 -r1.1.1.1.44.1.2.1
--- squid/include/snmp_api_util.h	6 Jan 2001 12:40:10 -0000	1.1.1.1.44.1
+++ squid/include/snmp_api_util.h	27 Aug 2001 21:48:17 -0000	1.1.1.1.44.1.2.1
@@ -1,5 +1,5 @@
 /*
- * $Id: snmp_api_util.h,v 1.1.1.1.44.1 2001/01/06 12:40:10 hno Exp $
+ * $Id: snmp_api_util.h,v 1.1.1.1.44.1.2.1 2001/08/27 21:48:17 tolsty Exp $
  */
 
 #ifndef _SNMP_API_UTIL_H_
@@ -37,7 +37,8 @@
 /*
  * A list of all the outstanding requests for a particular session.
  */
-struct request_list {
+struct request_list
+{
     struct request_list *next_request;
     int request_id;		/* request id */
     int retries;		/* Number of retries */
@@ -50,13 +51,15 @@
 /*
  * The list of active/open sessions.
  */
-struct session_list {
+struct session_list
+{
     struct session_list *next;
     struct snmp_session *session;
     struct snmp_internal_session *internal;
 };
 
-struct snmp_internal_session {
+struct snmp_internal_session
+{
     int sd;			/* socket descriptor for this connection */
     ipaddr addr;		/* address of connected peer */
     struct request_list *requests;	/* Info about outstanding requests */
@@ -83,11 +86,13 @@
 #endif /* HAVE_SRAND */
 
 #ifdef __cplusplus
-extern "C" {
+extern "C"
+{
 #endif
 
     int snmp_get_socket_session(struct snmp_session *session_);
-    int snmp_select_info_session(struct snmp_session *session_, struct timeval *timeout);
+    int snmp_select_info_session(struct snmp_session *session_,
+	struct timeval *timeout);
     int snmp_timeout_session(struct snmp_session *sp_);
 
 #ifdef __cplusplus
Index: squid/include/snmp_client.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/snmp_client.h,v
retrieving revision 1.1.1.1.44.1
retrieving revision 1.1.1.1.44.1.2.1
diff -u -r1.1.1.1.44.1 -r1.1.1.1.44.1.2.1
--- squid/include/snmp_client.h	6 Jan 2001 12:40:10 -0000	1.1.1.1.44.1
+++ squid/include/snmp_client.h	27 Aug 2001 21:48:17 -0000	1.1.1.1.44.1.2.1
@@ -1,5 +1,5 @@
 /*
- * $Id: snmp_client.h,v 1.1.1.1.44.1 2001/01/06 12:40:10 hno Exp $
+ * $Id: snmp_client.h,v 1.1.1.1.44.1.2.1 2001/08/27 21:48:17 tolsty Exp $
  */
 
 #ifndef _SNMP_CLIENT_H_
@@ -29,8 +29,9 @@
 ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
 SOFTWARE.
 ******************************************************************/
-struct synch_state {
-    int	waiting;
+struct synch_state
+{
+    int waiting;
     int status;
 /* status codes */
 #define STAT_SUCCESS	0
@@ -41,25 +42,25 @@
 };
 
 #ifdef __cplusplus
-extern "C" {
+extern "C"
+{
 #endif
 
-extern struct synch_state snmp_synch_state;
+    extern struct synch_state snmp_synch_state;
 
 /* Synchronize Input with Agent */
-int  snmp_synch_input(int, struct snmp_session *, int,
-		     struct snmp_pdu *, void *);
+    int snmp_synch_input(int, struct snmp_session *, int,
+	struct snmp_pdu *, void *);
 
 /* Synchronize Response with Agent */
-int  snmp_synch_response(struct snmp_session *, struct snmp_pdu *, 
-			struct snmp_pdu **);
+    int snmp_synch_response(struct snmp_session *, struct snmp_pdu *,
+	struct snmp_pdu **);
 
 /* Synchronize Setup */
-void snmp_synch_setup(struct snmp_session *);
+    void snmp_synch_setup(struct snmp_session *);
 
 #ifdef __cplusplus
 }
 #endif
 
-#endif /* _SNMP_CLIENT_H_ */
-
+#endif				/* _SNMP_CLIENT_H_ */
Index: squid/include/snmp_coexist.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/snmp_coexist.h,v
retrieving revision 1.1.1.1.44.1
retrieving revision 1.1.1.1.44.1.2.1
diff -u -r1.1.1.1.44.1 -r1.1.1.1.44.1.2.1
--- squid/include/snmp_coexist.h	6 Jan 2001 12:40:10 -0000	1.1.1.1.44.1
+++ squid/include/snmp_coexist.h	27 Aug 2001 21:48:17 -0000	1.1.1.1.44.1.2.1
@@ -26,12 +26,13 @@
  * 
  * Author: Ryan Troll <ryan+@andrew.cmu.edu>
  * 
- * $Id: snmp_coexist.h,v 1.1.1.1.44.1 2001/01/06 12:40:10 hno Exp $
+ * $Id: snmp_coexist.h,v 1.1.1.1.44.1.2.1 2001/08/27 21:48:17 tolsty Exp $
  * 
  **********************************************************************/
 
 #ifdef __cplusplus
-extern "C" {
+extern "C"
+{
 #endif
 
     int snmp_coexist_V2toV1(struct snmp_pdu *);
Index: squid/include/snmp_debug.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/snmp_debug.h,v
retrieving revision 1.1.1.2.44.1
retrieving revision 1.1.1.2.44.1.2.1
diff -u -r1.1.1.2.44.1 -r1.1.1.2.44.1.2.1
--- squid/include/snmp_debug.h	6 Jan 2001 12:40:10 -0000	1.1.1.2.44.1
+++ squid/include/snmp_debug.h	27 Aug 2001 21:48:17 -0000	1.1.1.2.44.1.2.1
@@ -1,12 +1,12 @@
 /*
- * $Id: snmp_debug.h,v 1.1.1.2.44.1 2001/01/06 12:40:10 hno Exp $
+ * $Id: snmp_debug.h,v 1.1.1.2.44.1.2.1 2001/08/27 21:48:17 tolsty Exp $
  */
 
 #ifndef SNMP_DEBUG_H
 #define SNMP_DEBUG_H
 
 #if STDC_HEADERS
-extern void snmplib_debug(int, char *,...);
+extern void snmplib_debug(int, char *, ...);
 #else
 extern void snmplib_debug(va_alist);
 #endif
Index: squid/include/snmp_error.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/snmp_error.h,v
retrieving revision 1.1.1.1.44.1
retrieving revision 1.1.1.1.44.1.2.1
diff -u -r1.1.1.1.44.1 -r1.1.1.1.44.1.2.1
--- squid/include/snmp_error.h	6 Jan 2001 12:40:10 -0000	1.1.1.1.44.1
+++ squid/include/snmp_error.h	27 Aug 2001 21:48:17 -0000	1.1.1.1.44.1.2.1
@@ -24,7 +24,7 @@
  * ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
  * SOFTWARE.
  * 
- * $Id: snmp_error.h,v 1.1.1.1.44.1 2001/01/06 12:40:10 hno Exp $
+ * $Id: snmp_error.h,v 1.1.1.1.44.1.2.1 2001/08/27 21:48:17 tolsty Exp $
  * 
  **********************************************************************/
 
@@ -56,7 +56,8 @@
 
 #ifdef __cplusplus
 
-extern "C" {
+extern "C"
+{
 #endif
 
     char *snmp_errstring(int);
Index: squid/include/snmp_impl.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/snmp_impl.h,v
retrieving revision 1.1.1.1.44.1
retrieving revision 1.1.1.1.44.1.2.1
diff -u -r1.1.1.1.44.1 -r1.1.1.1.44.1.2.1
--- squid/include/snmp_impl.h	6 Jan 2001 12:40:10 -0000	1.1.1.1.44.1
+++ squid/include/snmp_impl.h	27 Aug 2001 21:48:17 -0000	1.1.1.1.44.1.2.1
@@ -1,5 +1,5 @@
 /*
- * $Id: snmp_impl.h,v 1.1.1.1.44.1 2001/01/06 12:40:10 hno Exp $
+ * $Id: snmp_impl.h,v 1.1.1.1.44.1.2.1 2001/08/27 21:48:17 tolsty Exp $
  */
 
 #ifndef _SNMP_IMPL_H_
@@ -85,7 +85,8 @@
 #define NULLOBJ	    ASN_NULL
 #endif
 
-struct trapVar {
+struct trapVar
+{
     oid *varName;
     int varNameLen;
     u_char varType;
Index: squid/include/snmp_msg.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/snmp_msg.h,v
retrieving revision 1.1.1.1.44.1
retrieving revision 1.1.1.1.44.1.2.1
diff -u -r1.1.1.1.44.1 -r1.1.1.1.44.1.2.1
--- squid/include/snmp_msg.h	6 Jan 2001 12:40:10 -0000	1.1.1.1.44.1
+++ squid/include/snmp_msg.h	27 Aug 2001 21:48:17 -0000	1.1.1.1.44.1.2.1
@@ -26,7 +26,7 @@
  * 
  * Author: Ryan Troll <ryan+@andrew.cmu.edu>
  * 
- * $Id: snmp_msg.h,v 1.1.1.1.44.1 2001/01/06 12:40:10 hno Exp $
+ * $Id: snmp_msg.h,v 1.1.1.1.44.1.2.1 2001/08/27 21:48:17 tolsty Exp $
  * 
  **********************************************************************/
 
@@ -34,7 +34,8 @@
 #define SNMP_VERSION_2	    1	/* RFC 1901 */
 
 #ifdef __cplusplus
-extern "C" {
+extern "C"
+{
 #endif
 
     u_char *snmp_msg_Encode(u_char *, int *, u_char *,
Index: squid/include/snmp_pdu.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/snmp_pdu.h,v
retrieving revision 1.1.1.1.44.1
retrieving revision 1.1.1.1.44.1.2.1
diff -u -r1.1.1.1.44.1 -r1.1.1.1.44.1.2.1
--- squid/include/snmp_pdu.h	6 Jan 2001 12:40:10 -0000	1.1.1.1.44.1
+++ squid/include/snmp_pdu.h	27 Aug 2001 21:48:17 -0000	1.1.1.1.44.1.2.1
@@ -1,4 +1,3 @@
-
 /* -*- c++ -*- */
 #ifndef _SNMP_PDU_H_
 #define _SNMP_PDU_H_
@@ -27,14 +26,15 @@
  * 
  * Author: Ryan Troll <ryan+@andrew.cmu.edu>
  * 
- * $Id: snmp_pdu.h,v 1.1.1.1.44.1 2001/01/06 12:40:10 hno Exp $
+ * $Id: snmp_pdu.h,v 1.1.1.1.44.1.2.1 2001/08/27 21:48:17 tolsty Exp $
  * 
  **********************************************************************/
 
 typedef struct sockaddr_in ipaddr;
 
 /* An SNMP PDU */
-struct snmp_pdu {
+struct snmp_pdu
+{
     int command;		/* Type of this PDU */
     ipaddr address;		/* Address of peer */
 
@@ -58,7 +58,8 @@
 };
 
 #ifdef __cplusplus
-extern "C" {
+extern "C"
+{
 #endif
 
     struct snmp_pdu *snmp_pdu_create(int);
Index: squid/include/snmp_session.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/snmp_session.h,v
retrieving revision 1.1.1.1.44.1
retrieving revision 1.1.1.1.44.1.2.1
diff -u -r1.1.1.1.44.1 -r1.1.1.1.44.1.2.1
--- squid/include/snmp_session.h	6 Jan 2001 12:40:10 -0000	1.1.1.1.44.1
+++ squid/include/snmp_session.h	27 Aug 2001 21:48:17 -0000	1.1.1.1.44.1.2.1
@@ -24,11 +24,12 @@
  * ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
  * SOFTWARE.
  * 
- * $Id: snmp_session.h,v 1.1.1.1.44.1 2001/01/06 12:40:10 hno Exp $
+ * $Id: snmp_session.h,v 1.1.1.1.44.1.2.1 2001/08/27 21:48:17 tolsty Exp $
  * 
  **********************************************************************/
 
-struct snmp_session {
+struct snmp_session
+{
     int Version;		/* SNMP Version for this session */
 
 
Index: squid/include/snmp_util.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/snmp_util.h,v
retrieving revision 1.1.1.1.44.1
retrieving revision 1.1.1.1.44.1.2.1
diff -u -r1.1.1.1.44.1 -r1.1.1.1.44.1.2.1
--- squid/include/snmp_util.h	6 Jan 2001 12:40:10 -0000	1.1.1.1.44.1
+++ squid/include/snmp_util.h	27 Aug 2001 21:48:17 -0000	1.1.1.1.44.1.2.1
@@ -1,5 +1,5 @@
 /*
- * $Id: snmp_util.h,v 1.1.1.1.44.1 2001/01/06 12:40:10 hno Exp $
+ * $Id: snmp_util.h,v 1.1.1.1.44.1.2.1 2001/08/27 21:48:17 tolsty Exp $
  */
 
 #ifndef SNMP_UTIL_H
@@ -31,41 +31,35 @@
  * ** Function to safely copy a string, and ensure the last
  * ** character is always '\0'.
  */
-void
-     strcpy_safe(char *str, int str_len, char *val);
+void strcpy_safe(char *str, int str_len, char *val);
 
 
 /*
  * ** Function to get IP address of this agent
  * ** WARNING: this scans all interfaces (slow)
  */
-u_long
-Util_local_ip_address(void);
+u_long Util_local_ip_address(void);
 
 /*
  * ** Function to get the current time in seconds
  */
-long
-     Util_time_now(void);
+long Util_time_now(void);
 
 /*
  * ** Function to determine how long the agent has been running
  * *  (WARNING: this seems rather slow)
  */
-long
-     Util_time_running();
+long Util_time_running();
 
 /*
  * ** Read data from file
  */
-int
-    Util_file_read(char *file, int offset, char *data, int dataSz);
+int Util_file_read(char *file, int offset, char *data, int dataSz);
 
 /*
  * ** Write data into file
  */
-int
-    Util_file_write(char *file, int offset, char *data, int dataSz);
+int Util_file_write(char *file, int offset, char *data, int dataSz);
 
 
 /* ---------------------------------------------------------------------- */
Index: squid/include/snmp_vars.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/snmp_vars.h,v
retrieving revision 1.1.1.2.30.1
retrieving revision 1.1.1.2.30.1.2.1
diff -u -r1.1.1.2.30.1 -r1.1.1.2.30.1.2.1
--- squid/include/snmp_vars.h	6 Jan 2001 12:40:10 -0000	1.1.1.2.30.1
+++ squid/include/snmp_vars.h	27 Aug 2001 21:48:17 -0000	1.1.1.2.30.1.2.1
@@ -26,25 +26,29 @@
  * 
  * Author: Ryan Troll <ryan+@andrew.cmu.edu>
  * 
- * $Id: snmp_vars.h,v 1.1.1.2.30.1 2001/01/06 12:40:10 hno Exp $
+ * $Id: snmp_vars.h,v 1.1.1.2.30.1.2.1 2001/08/27 21:48:17 tolsty Exp $
  * 
  **********************************************************************/
 
-struct variable_list {
+struct variable_list
+{
     struct variable_list *next_variable;	/* NULL for last variable */
     oid *name;			/* Object identifier of variable */
     int name_length;		/* number of subid's in name */
     u_char type;		/* ASN type of variable */
-    union {			/* value of variable */
+    union
+    {				/* value of variable */
 	int *integer;
 	u_char *string;
 	oid *objid;
-    } val;
+    }
+    val;
     int val_len;
 };
 
 #ifdef __cplusplus
-extern "C" {
+extern "C"
+{
 #endif
 
     struct variable_list *snmp_var_new(oid *, int);
@@ -52,17 +56,17 @@
     struct variable_list *snmp_var_clone(struct variable_list *);
     void snmp_var_free(struct variable_list *);
 
-    u_char *snmp_var_EncodeVarBind(u_char *, int *, struct variable_list *, int);
-    u_char *snmp_var_DecodeVarBind(u_char *, int *, struct variable_list **, int);
+    u_char *snmp_var_EncodeVarBind(u_char *, int *, struct variable_list *,
+	int);
+    u_char *snmp_var_DecodeVarBind(u_char *, int *, struct variable_list **,
+	int);
 
 #ifdef __cplusplus
 }
 
 #endif
 #define MAX_NAME_LEN	64	/* number of subid's in a objid *//*      *RFC 1902:Structure of Management Information for SNMPv2      *
-      *Defined Types
-*
-      */
+      *Defined Types * */
 #define SMI_INTEGER     ASN_INTEGER
 #define SMI_STRING      ASN_OCTET_STR
 #define SMI_OBJID       ASN_OBJECT_ID
Index: squid/include/snprintf.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/snprintf.h,v
retrieving revision 1.1.1.1.44.1
retrieving revision 1.1.1.1.44.1.2.1
diff -u -r1.1.1.1.44.1 -r1.1.1.1.44.1.2.1
--- squid/include/snprintf.h	6 Jan 2001 12:40:10 -0000	1.1.1.1.44.1
+++ squid/include/snprintf.h	27 Aug 2001 21:48:17 -0000	1.1.1.1.44.1.2.1
@@ -1,5 +1,5 @@
 /*
- * $Id: snprintf.h,v 1.1.1.1.44.1 2001/01/06 12:40:10 hno Exp $
+ * $Id: snprintf.h,v 1.1.1.1.44.1.2.1 2001/08/27 21:48:17 tolsty Exp $
  */
 
 /* if you have configure you can use this */
@@ -29,12 +29,10 @@
 XX **NO VARARGS ** XX
 #endif
 #endif
-
 /* you can have ANSI C definitions */
-
 #if !HAVE_SNPRINTF
 #ifdef HAVE_STDARGS
-int snprintf(char *str, size_t count, const char *fmt,...);
+int snprintf(char *str, size_t count, const char *fmt, ...);
 #else
 int snprintf();
 #endif
Index: squid/include/splay.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/splay.h,v
retrieving revision 1.1.1.2.2.1
retrieving revision 1.1.1.2.2.1.2.1
diff -u -r1.1.1.2.2.1 -r1.1.1.2.2.1.2.1
--- squid/include/splay.h	6 Jan 2001 12:40:10 -0000	1.1.1.2.2.1
+++ squid/include/splay.h	27 Aug 2001 21:48:17 -0000	1.1.1.2.2.1.2.1
@@ -1,13 +1,15 @@
 /*
- * $Id: splay.h,v 1.1.1.2.2.1 2001/01/06 12:40:10 hno Exp $
+ * $Id: splay.h,v 1.1.1.2.2.1.2.1 2001/08/27 21:48:17 tolsty Exp $
  */
 
 
-typedef struct _splay_node {
+typedef struct _splay_node
+{
     void *data;
     struct _splay_node *left;
     struct _splay_node *right;
-} splayNode;
+}
+splayNode;
 
 typedef int SPLAYCMP(const void *a, const void *b);
 typedef void SPLAYWALKEE(void *nodedata, void *state);
Index: squid/include/tree.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/Attic/tree.h,v
retrieving revision 1.1.1.1.44.1
retrieving revision 1.1.1.1.44.1.2.1
diff -u -r1.1.1.1.44.1 -r1.1.1.1.44.1.2.1
--- squid/include/tree.h	6 Jan 2001 12:40:10 -0000	1.1.1.1.44.1
+++ squid/include/tree.h	27 Aug 2001 21:48:17 -0000	1.1.1.1.44.1.2.1
@@ -3,18 +3,20 @@
  * vix 22jan93 [revisited; uses RCS, ANSI, POSIX; has bug fixes]
  * vix 27jun86 [broken out of tree.c]
  *
- * $Id: tree.h,v 1.1.1.1.44.1 2001/01/06 12:40:10 hno Exp $
+ * $Id: tree.h,v 1.1.1.1.44.1.2.1 2001/08/27 21:48:17 tolsty Exp $
  */
 
 
 #ifndef	_TREE_H_INCLUDED
 #define	_TREE_H_INCLUDED
 
-typedef struct tree_s {
+typedef struct tree_s
+{
     void *data;
     struct tree_s *left, *right;
     int bal;
-} tree;
+}
+tree;
 
 typedef int BTREE_CMP(void *, void *);
 typedef int BTREE_UAR(void *);
Index: squid/include/util.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/util.h,v
retrieving revision 1.1.1.3.4.1.2.3
retrieving revision 1.1.1.3.4.1.2.3.2.1
diff -u -r1.1.1.3.4.1.2.3 -r1.1.1.3.4.1.2.3.2.1
--- squid/include/util.h	29 Jul 2001 09:10:27 -0000	1.1.1.3.4.1.2.3
+++ squid/include/util.h	27 Aug 2001 21:48:17 -0000	1.1.1.3.4.1.2.3.2.1
@@ -1,5 +1,5 @@
 /*
- * $Id: util.h,v 1.1.1.3.4.1.2.3 2001/07/29 09:10:27 serassio Exp $
+ * $Id: util.h,v 1.1.1.3.4.1.2.3.2.1 2001/08/27 21:48:17 tolsty Exp $
  *
  * AUTHOR: Harvest Derived
  *
@@ -41,7 +41,7 @@
 #endif
 
 #if !defined(SQUIDHOSTNAMELEN)
-#ifndef _SQUID_MSWIN_
+#if !defined(_SQUID_MSWIN_)
 #include <sys/param.h>
 #ifndef _SQUID_NETDB_H_		/* need protection on NEXTSTEP */
 #define _SQUID_NETDB_H_
@@ -124,15 +124,15 @@
 double drand48(void);
 #endif
 
-/* CygWin & Windows NT Port */ 
+/* CygWin & Windows NT Port */
 /* win32lib.c */
 #ifdef _SQUID_MSWIN_
-extern int chroot (const char *);
+extern int chroot(const char *);
 extern int kill(pid_t, int);
-extern void gettimeofday(struct timeval * ,void *);
-int statfs(const char *, struct statfs *);
-int mkdir(const char *, mode_t);
-const char * wsastrerror(int);
+extern int gettimeofday(struct timeval *, void *);
+extern int statfs(const char *, struct statfs *);
+extern const char *wsastrerror(int err);
+extern int getopt(int argc, char *const *argv, const char *optstr);
 #endif
 
 #endif /* ndef _UTIL_H_ */
